Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.imagemap
Class DynamicDriveToolTipTagFragmentGenerator

    java.lang.Object
      org.jfree.chart.imagemap.DynamicDriveToolTipTagFragmentGenerator

All Implemented Interfaces:
  ToolTipTagFragmentGenerator

    public class DynamicDriveToolTipTagFragmentGenerator

extends java.lang.Object
implements ToolTipTagFragmentGenerator

Generates tooltips using the Dynamic Drive DHTML Tip Message library (http://www.dynamicdrive.com).

Field Summary
`protected int` | `style` The style number
`protected java.lang.String` | `title` The title, empty string not to display

Constructor Summary
`DynamicDriveToolTipTagFragmentGenerator()` Blank constructor.
`DynamicDriveToolTipTagFragmentGenerator(java.lang.String title, int style)` Creates a new generator with specific title and style settings.

Method Summary
`java.lang.String` | `generateToolTipFragment(java.lang.String toolTipText)` Generates a tooltip string to go in an HTML image map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected java.lang.String title

  The title, empty string not to display

### style

    protected int style

  The style number

Constructor Detail

### DynamicDriveToolTipTagFragmentGenerator

    public DynamicDriveToolTipTagFragmentGenerator()

  Blank constructor.

### DynamicDriveToolTipTagFragmentGenerator

    public DynamicDriveToolTipTagFragmentGenerator(java.lang.String title,
                                                   int style)

  Creates a new generator with specific title and style settings.

  Parameters:
    `title` - title for use in all tooltips, use empty String not to display a title.
    `style` - style number, see http://www.dynamicdrive.com for more information.

Method Detail

### generateToolTipFragment

    public java.lang.String generateToolTipFragment(java.lang.String toolTipText)

  Generates a tooltip string to go in an HTML image map.

  Specified by:
    `generateToolTipFragment` in interface `ToolTipTagFragmentGenerator`
  Parameters:
    `toolTipText` - the tooltip.
  Returns:
    The formatted HTML area tag attribute(s).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD